import { CdkOverlayOrigin, ConnectedOverlayPositionChange } from '@angular/cdk/overlay';
import { ElementRef, EventEmitter, TemplateRef } from '@angular/core';
import { NtOverlayComponent, NtOverlayPosition } from '@ng-tangram/components/overlay';
import { NtPopoverParentComponent } from './popover-pane.component';
export declare class NtPopoverComponent implements NtPopoverParentComponent {
    private _elementRef;
    private _title;
    private _template;
    readonly origin: CdkOverlayOrigin;
    set title(value: string);
    get title(): string;
    set template(value: TemplateRef<any> | null);
    get template(): TemplateRef<any> | null;
    set popover(value: string | TemplateRef<any>);
    position: NtOverlayPosition;
    confirm: EventEmitter<any>;
    cancel: EventEmitter<any>;
    afterOpen: EventEmitter<any>;
    afterClosed: EventEmitter<any>;
    beforeOpen: EventEmitter<any>;
    beforeClosed: EventEmitter<any>;
    positionChange: EventEmitter<ConnectedOverlayPositionChange>;
    overlay: NtOverlayComponent;
    constructor(_elementRef: ElementRef);
    _afterOpen(event: any): void;
    _afterClosed(event: any): void;
    _beforeOpen(event: any): void;
    _beforeClosed(event: any): void;
    _positionChange(change: ConnectedOverlayPositionChange): void;
}
